import { createApp } from "vue";
import { createPinia } from "pinia";

import App from "./App.vue";
import router from "./router";
import NProgress from "nprogress";
import "../node_modules/nprogress/nprogress.css";
import { Quill } from "@vueup/vue-quill";
import QuillCursors from "quill-cursors";
import VueTippy from "vue-tippy";
import "tippy.js/dist/tippy.css";

import { http } from "./serverCom";
import "./main.css";

NProgress.configure({ showSpinner: false });

Quill.register("modules/cursors", QuillCursors);

const app = createApp(App);

app.use(createPinia());
app.use(router);
app.use(VueTippy, { theme: "light", defaultProps: { placement: "right" } });
app.config.globalProperties.$http = http;
app.config.globalProperties.$progress = NProgress;

app.mount("#app");
